Create Customer
curl --request POST \
--url https://api.atlas.co/functions/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"name": "<string>",
"phone": "<string>",
"description": "<string>",
"billing_address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"shipping_address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"tax_exempt": true,
"tax_ids": [
{
"type": "<string>",
"value": "<string>"
}
],
"metadata": {}
}
'import requests
url = "https://api.atlas.co/functions/v1/customers"
payload = {
"email": "[email protected]",
"name": "<string>",
"phone": "<string>",
"description": "<string>",
"billing_address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"shipping_address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"tax_exempt": True,
"tax_ids": [
{
"type": "<string>",
"value": "<string>"
}
],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
name: '<string>',
phone: '<string>',
description: '<string>',
billing_address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country: '<string>'
},
shipping_address: {
line1: '<string>',
line2: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country: '<string>'
},
tax_exempt: true,
tax_ids: [{type: '<string>', value: '<string>'}],
metadata: {}
})
};
fetch('https://api.atlas.co/functions/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "customer",
"email": "<string>",
"name": "<string>",
"phone": "<string>",
"description": "<string>",
"billing_address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"shipping_address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"default_payment_method": "<string>",
"tax_exempt": true,
"tax_ids": [
{
"type": "<string>",
"value": "<string>"
}
],
"metadata": {},
"created": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Customers
Create Customer
POST
/
customers
Create Customer
Authorizations
API key (sk_test_* or sk_live_*)
Body
application/json
Response
Customer created
Available options:
customer Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I